package edu.kit.ipd.descartes.ql.connector;

/**
 * Abstract super class for OSGi-based Connectors
 * 
 * @author Fabian Gorsler <fabian.gorsler@student.kit.edu>
 * 
 */
public abstract class AbstractOSGiQueryConnector implements QueryConnector {
	public String getBundleProperty(final String key) {
		return Activator.getContext().getProperty(key);
	}
}
