package edu.kit.ipd.descartes.ql.core.engine.aggregates.calculators;

import java.math.BigDecimal;

/** 
 * Implementation of an AggregateController to count the number of values
 * 
 * @author Fabian Gorsler <fabian.gorsler@student.kit.edu>
 */
public class NAggregateCalculator implements AggregateCalculator {
	private long n = 0;

	public void addValue(final BigDecimal value) {
		n++;
	}

	public BigDecimal getResult() {
		return new BigDecimal(n);
	}

	public boolean isValid() {
		return true;
	}

}
