package edu.kit.ipd.descartes.ql.core.engine.observations;

import edu.kit.ipd.descartes.ql.connector.PerformanceMetricsQueryConnector;
import edu.kit.ipd.descartes.ql.lang.descartesQL.ConnectorInstanceReferenceClause;

public class ConnectorInstanceReferenceInterpreter implements ObservationInterpreter {
	private ConnectorInstanceReferenceClause observation = null;

	public ConnectorInstanceReferenceInterpreter(final ConnectorInstanceReferenceClause observation) {
		this.observation = observation;
	}

	public void configureConnector(final PerformanceMetricsQueryConnector queryConnector, final long sampleSize) {
		queryConnector.setObservationReference(observation.getType(), observation.getIdentifier(), sampleSize);
	}

	public void interpretDate() {
		// No interpretation required
	}

}
