package edu.kit.ipd.descartes.ql.core.engine.observations;

import java.util.Date;

public class ObservationSpecification {
	private Date start = null;
	private Date end = null;
	private Date aggregateBy = null;
	private boolean valid = false;

	public ObservationSpecification() {
		super();
	}

	public ObservationSpecification(final Date start, final Date end) {
		super();

		this.start = start;
		this.end = end;
	}

	public ObservationSpecification(final Date start, final Date end, final Date aggregateBy) {
		super();

		this.start = start;
		this.end = end;
		this.aggregateBy = aggregateBy;
	}

	public Date getAggregateBy() {
		return aggregateBy;
	}

	public Date getEnd() {
		return end;
	}

	public Date getStart() {
		return start;
	}

	public boolean hasAggregateBy() {
		return aggregateBy != null ? true : false;
	}

	public boolean isValid() {
		return valid;
	}

	public void setAggregateBy(final Date aggregateBy) {
		this.aggregateBy = aggregateBy;
	}

	public void setEnd(final Date end) {
		this.end = end;
	}

	public void setStart(final Date start) {
		this.start = start;
	}

	public void setValid(final boolean valid) {
		this.valid = valid;
	}
}
