package edu.kit.ipd.descartes.ql.core.engine.observations;

import java.util.Date;

import edu.kit.ipd.descartes.ql.lang.descartesQL.TimeClause;

public interface TimeCalculator {

	public Date getDate();

	public abstract boolean isBackwards();

	public abstract boolean isValid();

	public boolean parseDate(TimeClause timeClause);

	public abstract void setBackwards(boolean backwards);

	public void setReferenceDate(Date referenceDate);

}
