package edu.kit.ipd.descartes.ql.core.registry.impl;

import org.apache.log4j.Logger;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {
	private Logger log = null;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext
	 * )
	 */
	public void start(final BundleContext context) throws Exception {
		log = DQLLogger.getLogger(this.getClass().getName());
		log.info("Plug-In starting");

		log.info("Initializing ConnectorRegistry data structure");
		ConnectorRegistryImpl.initializeRegistry();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(final BundleContext context) throws Exception {
		log.info("Plug-In stopping");
	}
}
