package edu.kit.ipd.descartes.ql.lang.examples.tests.list;

import static org.junit.Assert.assertEquals;

import org.eclipse.xtext.junit4.InjectWith;
import org.eclipse.xtext.junit4.XtextRunner;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import edu.kit.ipd.descartes.ql.lang.DescartesQLInjectorProvider;
import edu.kit.ipd.descartes.ql.lang.descartesQL.ListQuery;
import edu.kit.ipd.descartes.ql.lang.examples.tests.AbstractListQueryTest;

@RunWith(XtextRunner.class)
@InjectWith(DescartesQLInjectorProvider.class)
public class ListServicesQuery extends AbstractListQueryTest {

	public static final Object MODE = "SERVICES";

	@Override
	@Before
	public void initializeTest() throws Exception {
		super.initialize(createFileName(LIST, this.getClass().getSimpleName()));
	}

	@Override
	@Test
	public void testFilterClause() {
		testNullFilterClause();
	}

	@Override
	@Test
	public void testListQueryMode() {
		final ListQuery list = getListQuery(getQuery());

		final edu.kit.ipd.descartes.ql.lang.descartesQL.ListServicesQuery listServices = (edu.kit.ipd.descartes.ql.lang.descartesQL.ListServicesQuery) list
				.getQueryType();

		assertEquals("Mode not set correctly", MODE, listServices.getMode());
	}

}
