package edu.kit.ipd.descartes.ql.connector.nop;

import org.apache.log4j.Logger;

import edu.kit.ipd.descartes.ql.connector.ConnectorProvider;
import edu.kit.ipd.descartes.ql.connector.ModelStructureQueryConnector;
import edu.kit.ipd.descartes.ql.connector.PerformanceIssueQueryConnector;
import edu.kit.ipd.descartes.ql.connector.PerformanceMetricsQueryConnector;
import edu.kit.ipd.descartes.ql.connector.util.DQLLogger;

public class ConnectorProviderImpl implements ConnectorProvider {
	private final Logger log = DQLLogger.getLogger(this.getClass().getName());

	public ModelStructureQueryConnector createModelStructureQueryConnectorInstance() {
		log.info("Creating a ModelStructureQueryConnector instance");
		return new ModelStructureQueryConnectorImpl();
	}

	public PerformanceIssueQueryConnector createPerformanceIssueQueryConnectorInstance() {
		log.info("Creating a PerformanceIssueQueryConnector instance");
		return null;
	}

	public PerformanceMetricsQueryConnector createPerformanceMetricsQueryConnectorInstance() {
		log.info("Creating a PerformanceMetricsQueryConnector instance");
		return new PerformanceMetricsQueryConnectorImpl();
	}
}
