package edu.kit.ipd.descartes.ql.connector;

/**
 * A query connector is the basic interface a connector has to implement if it
 * is intended to process query requests.
 * 
 * @author Fabian Gorsler <fabian.gorsler@student.kit.edu>
 */
public interface QueryConnector {

	/**
	 * Access connector-internal properties
	 * 
	 * @param key
	 *            The key of the property to be accessed
	 * @return The value of the property specified by the key
	 */
	public String getBundleProperty(String key);
}
